Bug 1118032 - Schema Replication Issue
Summary: Schema Replication Issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 21:25 UTC by Noriko Hosoi
Modified: 2015-03-05 09:37 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:37:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-09 21:25:12 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47721

In the process of working on [https://fedorahosted.org/pki/ticket/816 Dogtag TRAC Ticket #816 - pki-tomcat cannot be start after instalation of ipa replica with ca], I believe that I have discovered a DS schema replication issue.

I was attempting to create a Dogtag Master (Fedora 19) and Dogtag Clone (Fedora 20) using the following directory servers for data storage:

* 389-ds-base-1.3.1.17-1.fc19.x86_64 (Fedora 19)
* 389-ds-base-1.3.2.9-1.fc20.x86_64 (Fedora 20)

I cleaned and installed a fresh Fedora 19 DS and Master CA, and verified that everything works.

I then copied the P12 backup file containing the certs and keys for clone configuration.

I cleaned and installed a fresh Fedora 20 DS and Clone CA.

Unfortunately, the CS was unable to start because the '/etc/dirsrv/slapd-<fedora20>/schema/99user.ldif' was not replicated from '/etc/dirsrv/slapd-<fedora19>/schema/99user.ldif'.

The reasons for this, however, appear to be because DS schema replication failed prior to being able to copy our schema from Fedora 19 --> Fedora 20.  I verified this by manually copying over the '99user.ldif' schema from Fedora 19 and was able to successfully start the CS clone and test that it works correctly.

Schema related log messages on Fedora 19 DS:

{{{
    # cd /var/log/dirsrv/slapd-fedora19

    # grep -i schema *
    access:[25/Feb/2014:13:50:47 -0800] conn=1 op=69 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="* aci aci"
    access:[25/Feb/2014:13:50:47 -0800] conn=1 op=70 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:12 -0800] conn=8 op=7 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:13 -0800] conn=8 op=8 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:13 -0800] conn=8 op=9 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:13 -0800] conn=8 op=10 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:13 -0800] conn=8 op=11 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:13 -0800] conn=8 op=12 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:14 -0800] conn=8 op=13 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:14 -0800] conn=8 op=14 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:14 -0800] conn=8 op=15 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:14 -0800] conn=8 op=16 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:14 -0800] conn=8 op=17 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:15 -0800] conn=8 op=18 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:15 -0800] conn=8 op=19 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:15 -0800] conn=8 op=20 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:15 -0800] conn=8 op=21 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:15 -0800] conn=8 op=22 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:15 -0800] conn=8 op=23 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:16 -0800] conn=8 op=24 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:16 -0800] conn=8 op=25 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:16 -0800] conn=8 op=26 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:16 -0800] conn=8 op=27 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:16 -0800] conn=8 op=28 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:17 -0800] conn=8 op=29 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:17 -0800] conn=8 op=30 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:17 -0800] conn=8 op=31 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:17 -0800] conn=8 op=32 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:17 -0800] conn=8 op=33 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:18 -0800] conn=8 op=34 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:18 -0800] conn=8 op=35 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:18 -0800] conn=8 op=36 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:18 -0800] conn=8 op=37 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:18 -0800] conn=8 op=38 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:19 -0800] conn=8 op=39 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:19 -0800] conn=8 op=40 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:19 -0800] conn=8 op=41 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:19 -0800] conn=8 op=42 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:19 -0800] conn=8 op=43 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:19 -0800] conn=8 op=44 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:20 -0800] conn=8 op=45 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:20 -0800] conn=8 op=46 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:20 -0800] conn=8 op=47 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:20 -0800] conn=8 op=48 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:20 -0800] conn=8 op=49 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:21 -0800] conn=8 op=50 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:21 -0800] conn=8 op=51 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:21 -0800] conn=8 op=52 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:21 -0800] conn=8 op=53 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:21 -0800] conn=8 op=54 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:22 -0800] conn=8 op=55 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:22 -0800] conn=8 op=56 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:22 -0800] conn=8 op=57 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:22 -0800] conn=8 op=58 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:22 -0800] conn=8 op=59 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:23 -0800] conn=8 op=60 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:23 -0800] conn=8 op=61 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:23 -0800] conn=8 op=62 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:23 -0800] conn=8 op=63 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:23 -0800] conn=8 op=64 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:24 -0800] conn=8 op=65 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:24 -0800] conn=8 op=66 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:24 -0800] conn=8 op=67 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:24 -0800] conn=8 op=68 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:24 -0800] conn=8 op=69 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:24 -0800] conn=8 op=70 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:25 -0800] conn=8 op=71 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:25 -0800] conn=8 op=72 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:25 -0800] conn=8 op=73 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:25 -0800] conn=8 op=74 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:25 -0800] conn=8 op=75 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:26 -0800] conn=8 op=76 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:26 -0800] conn=8 op=77 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:26 -0800] conn=8 op=78 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:26 -0800] conn=8 op=79 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:26 -0800] conn=8 op=80 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:27 -0800] conn=8 op=81 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:27 -0800] conn=8 op=82 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:27 -0800] conn=8 op=83 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:27 -0800] conn=8 op=84 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:27 -0800] conn=8 op=85 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:28 -0800] conn=8 op=86 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:28 -0800] conn=8 op=87 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:28 -0800] conn=8 op=88 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:28 -0800] conn=8 op=89 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:28 -0800] conn=8 op=90 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:29 -0800] conn=8 op=91 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:29 -0800] conn=8 op=92 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:29 -0800] conn=8 op=93 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:29 -0800] conn=8 op=94 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:29 -0800] conn=8 op=95 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:30 -0800] conn=8 op=96 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:30 -0800] conn=8 op=97 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:30 -0800] conn=8 op=98 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:30 -0800] conn=8 op=99 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:30 -0800] conn=8 op=100 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:31 -0800] conn=8 op=101 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:31 -0800] conn=8 op=102 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:31 -0800] conn=8 op=103 MOD dn="cn=schema"
    access:[25/Feb/2014:13:57:31 -0800] conn=8 op=104 MOD dn="cn=schema"
    errors:[25/Feb/2014:14:08:52 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Schema replication update failed: Server is unwilling to perform
    errors:[25/Feb/2014:14:08:53 -0800] NSMMReplicationPlugin - Warning: unable to replicate schema to host fedora20.example.com, port 389. Continuing with total update session.
    errors:[25/Feb/2014:14:09:05 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Schema replication update failed: Server is unwilling to perform
    errors:[25/Feb/2014:14:09:05 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Warning: unable to replicate schema: rc=1
    errors:[25/Feb/2014:14:09:09 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Schema replication update failed: Server is unwilling to perform
    errors:[25/Feb/2014:14:09:09 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Warning: unable to replicate schema: rc=1
    errors:[25/Feb/2014:14:28:08 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Schema replication update failed: Server is unwilling to perform
    errors:[25/Feb/2014:14:28:08 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Warning: unable to replicate schema: rc=1
    errors:[25/Feb/2014:14:33:10 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Schema replication update failed: Server is unwilling to perform
    errors:[25/Feb/2014:14:33:10 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Warning: unable to replicate schema: rc=1
    errors:[25/Feb/2014:14:43:08 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Schema replication update failed: Server is unwilling to perform
    errors:[25/Feb/2014:14:43:08 -0800] NSMMReplicationPlugin - agmt="cn=masterAgreement1-fedora20.example.com-pki-tomcat" (fedora20:389): Warning: unable to replicate schema: rc=1 
}}}

and schema related log messages on Fedora 20 DS:

{{{
    # cd /var/log/dirsrv/slapd-fedora20

    # grep -i schema *
    access:[25/Feb/2014:14:06:34 -0800] conn=1 op=69 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="* aci aci"
    access:[25/Feb/2014:14:06:34 -0800] conn=1 op=70 MOD dn="cn=schema"
    access:[25/Feb/2014:14:08:52 -0800] conn=12 op=4 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:14:08:52 -0800] conn=12 op=5 MOD dn="cn=schema"
    access:[25/Feb/2014:14:09:05 -0800] conn=27 op=4 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:14:09:05 -0800] conn=27 op=5 MOD dn="cn=schema"
    access:[25/Feb/2014:14:09:08 -0800] conn=27 op=13 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:14:09:08 -0800] conn=27 op=14 MOD dn="cn=schema"
    access:[25/Feb/2014:14:28:07 -0800] conn=42 op=4 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:14:28:08 -0800] conn=42 op=5 MOD dn="cn=schema"
    access:[25/Feb/2014:14:33:10 -0800] conn=43 op=4 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:14:33:10 -0800] conn=43 op=5 MOD dn="cn=schema"
    access:[25/Feb/2014:14:43:07 -0800] conn=44 op=4 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:14:43:08 -0800] conn=44 op=5 MOD dn="cn=schema"
    errors:[25/Feb/2014:14:08:53 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:14:09:05 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:14:09:09 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:14:28:08 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:14:33:10 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:14:43:08 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
}}}

For further granularity, I removed the Fedora 20 DS and Clone CA, and re-installed them (this time enabling replication logging):

{{{
    # cat replication.ldif 
    dn: cn=config
    changetype: modify
    replace: nsslapd-errorlog-level
    nsslapd-errorlog-level: 8192

    # ldapmodify -h fedora20.example.com -p 389 -D "cn=Directory Manager" -w <password> -f ./replication.ldif

    # cd /var/log/dirsrv/slapd-fedora20

    # grep -i schema *
    access:[25/Feb/2014:15:21:40 -0800] conn=1 op=69 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="* aci aci"
    access:[25/Feb/2014:15:21:40 -0800] conn=1 op=70 MOD dn="cn=schema"
    access:[25/Feb/2014:15:36:05 -0800] conn=8 op=4 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:15:36:06 -0800] conn=8 op=5 MOD dn="cn=schema"
    access:[25/Feb/2014:15:36:13 -0800] conn=9 op=4 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:15:36:13 -0800] conn=9 op=5 MOD dn="cn=schema"
    access:[25/Feb/2014:15:36:24 -0800] conn=9 op=12 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:15:36:25 -0800] conn=9 op=13 MOD dn="cn=schema"
    access:[25/Feb/2014:15:36:33 -0800] conn=9 op=22 SRCH base="cn=schema" scope=0 filter="(objectClass=*)" attrs="nsSchemaCSN"
    access:[25/Feb/2014:15:36:33 -0800] conn=9 op=23 MOD dn="cn=schema"
    errors:[25/Feb/2014:15:36:06 -0800] schema - Attribute nsRoleScopeDN is not allowed in 'nsRoleDefinition' of the remote supplier schema
    errors:[25/Feb/2014:15:36:06 -0800] schema - Attribute winSyncDirectoryFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:06 -0800] schema - Attribute winSyncWindowsFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:06 -0800] schema - Attribute winSyncSubtreePair is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:06 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:15:36:13 -0800] schema - Attribute nsRoleScopeDN is not allowed in 'nsRoleDefinition' of the remote supplier schema
    errors:[25/Feb/2014:15:36:13 -0800] schema - Attribute winSyncDirectoryFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:13 -0800] schema - Attribute winSyncWindowsFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:13 -0800] schema - Attribute winSyncSubtreePair is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:14 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:15:36:25 -0800] schema - Attribute nsRoleScopeDN is not allowed in 'nsRoleDefinition' of the remote supplier schema
    errors:[25/Feb/2014:15:36:25 -0800] schema - Attribute winSyncDirectoryFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:25 -0800] schema - Attribute winSyncWindowsFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:25 -0800] schema - Attribute winSyncSubtreePair is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:25 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
    errors:[25/Feb/2014:15:36:33 -0800] schema - Attribute nsRoleScopeDN is not allowed in 'nsRoleDefinition' of the remote supplier schema
    errors:[25/Feb/2014:15:36:33 -0800] schema - Attribute winSyncDirectoryFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:33 -0800] schema - Attribute winSyncWindowsFilter is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:33 -0800] schema - Attribute winSyncSubtreePair is not allowed in 'nsDSWindowsReplicationAgreement' of the remote supplier schema
    errors:[25/Feb/2014:15:36:33 -0800] schema - Local objectClasses must not be overwritten (set replication log for additional info)
}}}

These errors are reminiscent of the following two tickets:
* [https://fedorahosted.org/389/ticket/47490 389 TRAC Ticket #47490 - Schema replication between DS versions may overwrite newer base schema]
* [https://fedorahosted.org/389/ticket/47437 389 TRAC Ticket #47437 - Some attributes in cn=config should not be multivalued]

Comment 5 Viktor Ashirov 2014-11-26 16:30:13 UTC
$ rpm -qa | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

Test coverage provided by upstream tests (thanks, Thierry!)

ds/dirsrvtests/tickets/ticket47721_test.py:270: test_ticket47721_init PASSED
ds/dirsrvtests/tickets/ticket47721_test.py:301: test_ticket47721_0 PASSED
ds/dirsrvtests/tickets/ticket47721_test.py:313: test_ticket47721_1 PASSED
ds/dirsrvtests/tickets/ticket47721_test.py:348: test_ticket47721_2 PASSED
ds/dirsrvtests/tickets/ticket47721_test.py:369: test_ticket47721_3 PASSED
ds/dirsrvtests/tickets/ticket47721_test.py:408: test_ticket47721_4 PASSED
ds/dirsrvtests/tickets/ticket47721_test.py:460: test_ticket47721_final PASSED

Marking as VERIFIED.

Comment 7 errata-xmlrpc 2015-03-05 09:37:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.